diff --git a/compiler/hsSyn/HsLit.lhs b/compiler/hsSyn/HsLit.lhs
index 9565acb..d3b6c3a 100644
--- a/compiler/hsSyn/HsLit.lhs
+++ b/compiler/hsSyn/HsLit.lhs
@@ -5,12 +5,6 @@
 \section[HsLit]{Abstract syntax: source-language literals}
 
 \begin{code}
-{-# OPTIONS -fno-warn-tabs #-}
--- The above warning supression flag is a temporary kludge.
--- While working on this module you are encouraged to remove it and
--- detab the module (please do the detabbing in a separate patch). See
---     http://ghc.haskell.org/trac/ghc/wiki/Commentary/CodingStyle#TabsvsSpaces
--- for details
 
 {-# LANGUAGE DeriveDataTypeable #-}
 
@@ -20,7 +14,7 @@ module HsLit where
 
 import {-# SOURCE #-} HsExpr( SyntaxExpr, pprExpr )
 import BasicTypes ( FractionalLit(..) )
-import Type	( Type, Kind )
+import Type     ( Type, Kind )
 import Outputable
 import FastString
 
@@ -30,80 +24,80 @@ import Data.Data
 
 
 %************************************************************************
-%*									*
+%*                                                                      *
 \subsection{Annotating the syntax}
-%*									*
+%*                                                                      *
 %************************************************************************
 
 \begin{code}
 type PostTcKind = Kind
-type PostTcType = Type		-- Used for slots in the abstract syntax
-				-- where we want to keep slot for a type
-				-- to be added by the type checker...but
-				-- before typechecking it's just bogus
+type PostTcType = Type          -- Used for slots in the abstract syntax
+                                -- where we want to keep slot for a type
+                                -- to be added by the type checker...but
+                                -- before typechecking it's just bogus
 
-placeHolderType :: PostTcType	-- Used before typechecking
+placeHolderType :: PostTcType   -- Used before typechecking
 placeHolderType  = panic "Evaluated the place holder for a PostTcType"
 
-placeHolderKind :: PostTcKind	-- Used before typechecking
+placeHolderKind :: PostTcKind   -- Used before typechecking
 placeHolderKind  = panic "Evaluated the place holder for a PostTcKind"
 \end{code}
 
 %************************************************************************
-%*									*
+%*                                                                      *
 \subsection[HsLit]{Literals}
-%*									*
+%*                                                                      *
 %************************************************************************
 
 
 \begin{code}
 data HsLit
-  = HsChar	    Char		-- Character
-  | HsCharPrim	    Char		-- Unboxed character
-  | HsString	    FastString		-- String
-  | HsStringPrim    ByteString		-- Packed bytes
-  | HsInt	    Integer		-- Genuinely an Int; arises from TcGenDeriv, 
-					--	and from TRANSLATION
+  = HsChar          Char                -- Character
+  | HsCharPrim      Char                -- Unboxed character
+  | HsString        FastString          -- String
+  | HsStringPrim    ByteString          -- Packed bytes
+  | HsInt           Integer             -- Genuinely an Int; arises from TcGenDeriv, 
+                                        --      and from TRANSLATION
   | HsIntPrim       Integer             -- literal Int#
   | HsWordPrim      Integer             -- literal Word#
   | HsInt64Prim     Integer             -- literal Int64#
   | HsWord64Prim    Integer             -- literal Word64#
-  | HsInteger	    Integer  Type	-- Genuinely an integer; arises only from TRANSLATION
-					-- 	(overloaded literals are done with HsOverLit)
-  | HsRat	    FractionalLit Type	-- Genuinely a rational; arises only from TRANSLATION
-					-- 	(overloaded literals are done with HsOverLit)
-  | HsFloatPrim	    FractionalLit	-- Unboxed Float
-  | HsDoublePrim    FractionalLit	-- Unboxed Double
+  | HsInteger       Integer  Type       -- Genuinely an integer; arises only from TRANSLATION
+                                        --      (overloaded literals are done with HsOverLit)
+  | HsRat           FractionalLit Type  -- Genuinely a rational; arises only from TRANSLATION
+                                        --      (overloaded literals are done with HsOverLit)
+  | HsFloatPrim     FractionalLit       -- Unboxed Float
+  | HsDoublePrim    FractionalLit       -- Unboxed Double
   deriving (Data, Typeable)
 
 instance Eq HsLit where
-  (HsChar x1)	    == (HsChar x2)	 = x1==x2
-  (HsCharPrim x1)   == (HsCharPrim x2)	 = x1==x2
-  (HsString x1)     == (HsString x2)	 = x1==x2
+  (HsChar x1)       == (HsChar x2)       = x1==x2
+  (HsCharPrim x1)   == (HsCharPrim x2)   = x1==x2
+  (HsString x1)     == (HsString x2)     = x1==x2
   (HsStringPrim x1) == (HsStringPrim x2) = x1==x2
-  (HsInt x1)	    == (HsInt x2)	 = x1==x2
+  (HsInt x1)        == (HsInt x2)        = x1==x2
   (HsIntPrim x1)    == (HsIntPrim x2)    = x1==x2
   (HsWordPrim x1)   == (HsWordPrim x2)   = x1==x2
   (HsInt64Prim x1)  == (HsInt64Prim x2)  = x1==x2
   (HsWord64Prim x1) == (HsWord64Prim x2) = x1==x2
   (HsInteger x1 _)  == (HsInteger x2 _)  = x1==x2
-  (HsRat x1 _)	    == (HsRat x2 _)      = x1==x2
+  (HsRat x1 _)      == (HsRat x2 _)      = x1==x2
   (HsFloatPrim x1)  == (HsFloatPrim x2)  = x1==x2
   (HsDoublePrim x1) == (HsDoublePrim x2) = x1==x2
   _                 == _                 = False
 
-data HsOverLit id 	-- An overloaded literal
+data HsOverLit id       -- An overloaded literal
   = OverLit {
-	ol_val :: OverLitVal, 
-	ol_rebindable :: Bool,		-- Note [ol_rebindable]
-	ol_witness :: SyntaxExpr id,	-- Note [Overloaded literal witnesses]
-	ol_type :: PostTcType }
+        ol_val :: OverLitVal, 
+        ol_rebindable :: Bool,          -- Note [ol_rebindable]
+        ol_witness :: SyntaxExpr id,    -- Note [Overloaded literal witnesses]
+        ol_type :: PostTcType }
   deriving (Data, Typeable)
 
 data OverLitVal
-  = HsIntegral   !Integer   	-- Integer-looking literals;
-  | HsFractional !FractionalLit	-- Frac-looking literals
-  | HsIsString   !FastString 	-- String-looking literals
+  = HsIntegral   !Integer       -- Integer-looking literals;
+  | HsFractional !FractionalLit -- Frac-looking literals
+  | HsIsString   !FastString    -- String-looking literals
   deriving (Data, Typeable)
 
 overLitType :: HsOverLit a -> Type
@@ -128,7 +122,7 @@ Note [Overloaded literal witnesses]
 *Before* type checking, the SyntaxExpr in an HsOverLit is the
 name of the coercion function, 'fromInteger' or 'fromRational'.
 *After* type checking, it is a witness for the literal, such as
-	(fromInteger 3) or lit_78
+        (fromInteger 3) or lit_78
 This witness should replace the literal.
 
 This dual role is unusual, because we're replacing 'fromInteger' with 
@@ -167,25 +161,25 @@ instance Ord OverLitVal where
 
 \begin{code}
 instance Outputable HsLit where
-	-- Use "show" because it puts in appropriate escapes
-    ppr (HsChar c)	 = pprHsChar c
-    ppr (HsCharPrim c)	 = pprHsChar c <> char '#'
-    ppr (HsString s)	 = pprHsString s
+        -- Use "show" because it puts in appropriate escapes
+    ppr (HsChar c)       = pprHsChar c
+    ppr (HsCharPrim c)   = pprHsChar c <> char '#'
+    ppr (HsString s)     = pprHsString s
     ppr (HsStringPrim s) = pprHsBytes s <> char '#'
-    ppr (HsInt i)	 = integer i
-    ppr (HsInteger i _)	 = integer i
-    ppr (HsRat f _)	 = ppr f
-    ppr (HsFloatPrim f)	 = ppr f <> char '#'
+    ppr (HsInt i)        = integer i
+    ppr (HsInteger i _)  = integer i
+    ppr (HsRat f _)      = ppr f
+    ppr (HsFloatPrim f)  = ppr f <> char '#'
     ppr (HsDoublePrim d) = ppr d <> text "##"
-    ppr (HsIntPrim i)	 = integer i  <> char '#'
-    ppr (HsWordPrim w)	 = integer w  <> text "##"
+    ppr (HsIntPrim i)    = integer i  <> char '#'
+    ppr (HsWordPrim w)   = integer w  <> text "##"
     ppr (HsInt64Prim i)  = integer i  <> text "L#"
     ppr (HsWord64Prim w) = integer w  <> text "L##"
 
 -- in debug mode, print the expression that it's resolved to, too
 instance OutputableBndr id => Outputable (HsOverLit id) where
   ppr (OverLit {ol_val=val, ol_witness=witness}) 
-	= ppr val <+> (ifPprDebug (parens (pprExpr witness)))
+        = ppr val <+> (ifPprDebug (parens (pprExpr witness)))
 
 instance Outputable OverLitVal where
   ppr (HsIntegral i)   = integer i 
diff --git a/compiler/hsSyn/HsUtils.lhs b/compiler/hsSyn/HsUtils.lhs
index 398b97b..f45a6dc 100644
--- a/compiler/hsSyn/HsUtils.lhs
+++ b/compiler/hsSyn/HsUtils.lhs
@@ -6,19 +6,13 @@ Here we collect a variety of helper functions that construct or
 analyse HsSyn.  All these functions deal with generic HsSyn; functions
 which deal with the intantiated versions are located elsewhere:
 
-   Parameterised by	Module
+   Parameterised by     Module
    ----------------     -------------
-   RdrName		parser/RdrHsSyn
-   Name			rename/RnHsSyn
-   Id			typecheck/TcHsSyn	
+   RdrName              parser/RdrHsSyn
+   Name                 rename/RnHsSyn
+   Id                   typecheck/TcHsSyn       
 
 \begin{code}
-{-# OPTIONS -fno-warn-tabs #-}
--- The above warning supression flag is a temporary kludge.
--- While working on this module you are encouraged to remove it and
--- detab the module (please do the detabbing in a separate patch). See
---     http://ghc.haskell.org/trac/ghc/wiki/Commentary/CodingStyle#TabsvsSpaces
--- for details
 
 module HsUtils(
   -- Terms
@@ -77,7 +71,7 @@ import HsDecls
 import HsBinds
 import HsExpr
 import HsPat
-import HsTypes	
+import HsTypes  
 import HsLit
 
 import TcEvidence
@@ -98,9 +92,9 @@ import Data.Either
 
 
 %************************************************************************
-%*									*
-	Some useful helpers for constructing syntax
-%*									*
+%*                                                                      *
+        Some useful helpers for constructing syntax
+%*                                                                      *
 %************************************************************************
 
 These functions attempt to construct a not-completely-useless SrcSpan
@@ -117,8 +111,8 @@ mkSimpleMatch pats rhs
     Match pats Nothing (unguardedGRHSs rhs)
   where
     loc = case pats of
-		[]      -> getLoc rhs
-		(pat:_) -> combineSrcSpans (getLoc pat) (getLoc rhs)
+                []      -> getLoc rhs
+                (pat:_) -> combineSrcSpans (getLoc pat) (getLoc rhs)
 
 unguardedGRHSs :: Located (body id) -> GRHSs id (Located (body id))
 unguardedGRHSs rhs = GRHSs (unguardedRHS rhs) emptyLocalBinds
@@ -137,7 +131,7 @@ mkHsApp e1 e2 = addCLoc e1 e2 (HsApp e1 e2)
 
 mkHsLam :: [LPat id] -> LHsExpr id -> LHsExpr id
 mkHsLam pats body = mkHsPar (L (getLoc body) (HsLam matches))
-	where
+        where
           matches = mkMatchGroup [mkSimpleMatch pats body]
 
 mkHsLams :: [TyVar] -> [EvVar] -> LHsExpr Id -> LHsExpr Id
@@ -196,7 +190,7 @@ mkHsFractional f       = OverLit (HsFractional f)  noRebindableInfo noSyntaxExpr
 mkHsIsString   s       = OverLit (HsIsString   s)  noRebindableInfo noSyntaxExpr
 
 noRebindableInfo :: Bool
-noRebindableInfo = error "noRebindableInfo" 	-- Just another placeholder; 
+noRebindableInfo = error "noRebindableInfo"     -- Just another placeholder; 
 
 mkHsDo ctxt stmts = HsDo ctxt stmts placeHolderType
 mkHsComp ctxt stmts expr = mkHsDo ctxt (stmts ++ [last_stmt])
@@ -254,16 +248,16 @@ mkHsSpliceTy e = HsSpliceTy (mkHsSplice e) emptyFVs placeHolderKind
 
 unqualSplice :: RdrName
 unqualSplice = mkRdrUnqual (mkVarOccFS (fsLit "splice"))
-		-- A name (uniquified later) to
-		-- identify the splice
+                -- A name (uniquified later) to
+                -- identify the splice
 
 mkHsQuasiQuote :: RdrName -> SrcSpan -> FastString -> HsQuasiQuote RdrName
 mkHsQuasiQuote quoter span quote = HsQuasiQuote quoter span quote
 
 unqualQuasiQuote :: RdrName
 unqualQuasiQuote = mkRdrUnqual (mkVarOccFS (fsLit "quasiquote"))
-		-- A name (uniquified later) to
-		-- identify the quasi-quote
+                -- A name (uniquified later) to
+                -- identify the quasi-quote
 
 mkHsString :: String -> HsLit
 mkHsString s = HsString (mkFastString s)
@@ -276,9 +270,9 @@ userHsTyVarBndrs loc bndrs = [ L loc (UserTyVar v) | v <- bndrs ]
 
 
 %************************************************************************
-%*									*
-	Constructing syntax with no location info
-%*									*
+%*                                                                      *
+        Constructing syntax with no location info
+%*                                                                      *
 %************************************************************************
 
 \begin{code}
@@ -302,11 +296,11 @@ nlHsIntLit n = noLoc (HsLit (HsInt n))
 
 nlHsApps :: id -> [LHsExpr id] -> LHsExpr id
 nlHsApps f xs = foldl nlHsApp (nlHsVar f) xs
-	     
+             
 nlHsVarApps :: id -> [id] -> LHsExpr id
 nlHsVarApps f xs = noLoc (foldl mk (HsVar f) (map HsVar xs))
-		 where
-		   mk f a = HsApp (noLoc f) (noLoc a)
+                 where
+                   mk f a = HsApp (noLoc f) (noLoc a)
 
 nlConVarPat :: id -> [id] -> LPat id
 nlConVarPat con vars = nlConPat con (map nlVarPat vars)
@@ -322,10 +316,10 @@ nlNullaryConPat con = noLoc (ConPatIn (noLoc con) (PrefixCon []))
 
 nlWildConPat :: DataCon -> LPat RdrName
 nlWildConPat con = noLoc (ConPatIn (noLoc (getRdrName con))
-				   (PrefixCon (nOfThem (dataConSourceArity con) nlWildPat)))
+                                   (PrefixCon (nOfThem (dataConSourceArity con) nlWildPat)))
 
 nlWildPat :: LPat id
-nlWildPat  = noLoc (WildPat placeHolderType)	-- Pre-typechecking
+nlWildPat  = noLoc (WildPat placeHolderType)    -- Pre-typechecking
 
 nlHsDo :: HsStmtContext Name -> [LStmt id (LHsExpr id)] -> LHsExpr id
 nlHsDo ctxt stmts = noLoc (mkHsDo ctxt stmts)
@@ -339,19 +333,19 @@ nlHsIf   :: LHsExpr id -> LHsExpr id -> LHsExpr id -> LHsExpr id
 nlHsCase :: LHsExpr id -> [LMatch id (LHsExpr id)] -> LHsExpr id
 nlList   :: [LHsExpr id] -> LHsExpr id
 
-nlHsLam	match		= noLoc (HsLam (mkMatchGroup [match]))
-nlHsPar e		= noLoc (HsPar e)
-nlHsIf cond true false	= noLoc (mkHsIf cond true false)
-nlHsCase expr matches	= noLoc (HsCase expr (mkMatchGroup matches))
-nlList exprs		= noLoc (ExplicitList placeHolderType Nothing exprs)
+nlHsLam match           = noLoc (HsLam (mkMatchGroup [match]))
+nlHsPar e               = noLoc (HsPar e)
+nlHsIf cond true false  = noLoc (mkHsIf cond true false)
+nlHsCase expr matches   = noLoc (HsCase expr (mkMatchGroup matches))
+nlList exprs            = noLoc (ExplicitList placeHolderType Nothing exprs)
 
 nlHsAppTy :: LHsType name -> LHsType name -> LHsType name
 nlHsTyVar :: name                         -> LHsType name
 nlHsFunTy :: LHsType name -> LHsType name -> LHsType name
 
-nlHsAppTy f t		= noLoc (HsAppTy f t)
-nlHsTyVar x		= noLoc (HsTyVar x)
-nlHsFunTy a b		= noLoc (HsFunTy a b)
+nlHsAppTy f t           = noLoc (HsAppTy f t)
+nlHsTyVar x             = noLoc (HsTyVar x)
+nlHsFunTy a b           = noLoc (HsFunTy a b)
 
 nlHsTyConApp :: name -> [LHsType name] -> LHsType name
 nlHsTyConApp tycon tys  = foldl nlHsAppTy (nlHsTyVar tycon) tys
@@ -383,7 +377,7 @@ mkLHsWrap co_fn (L loc e) = L loc (mkHsWrap co_fn e)
 
 mkHsWrap :: HsWrapper -> HsExpr id -> HsExpr id
 mkHsWrap co_fn e | isIdHsWrapper co_fn = e
-		 | otherwise	       = HsWrap co_fn e
+                 | otherwise           = HsWrap co_fn e
 
 mkHsWrapCo :: TcCoercion -> HsExpr id -> HsExpr id
 mkHsWrapCo co e | isTcReflCo co = e
@@ -403,7 +397,7 @@ coToHsWrapper co | isTcReflCo co = idHsWrapper
 
 mkHsWrapPat :: HsWrapper -> Pat id -> Type -> Pat id
 mkHsWrapPat co_fn p ty | isIdHsWrapper co_fn = p
-		       | otherwise	     = CoPat co_fn p ty
+                       | otherwise           = CoPat co_fn p ty
 
 mkHsWrapPatCo :: TcCoercion -> Pat id -> Type -> Pat id
 mkHsWrapPatCo co pat ty | isTcReflCo co = pat
@@ -414,9 +408,9 @@ mkHsDictLet ev_binds expr = mkLHsWrap (mkWpLet ev_binds) expr
 \end{code}
 l
 %************************************************************************
-%*									*
-		Bindings; with a location at the top
-%*									*
+%*                                                                      *
+                Bindings; with a location at the top
+%*                                                                      *
 %************************************************************************
 
 \begin{code}
@@ -424,28 +418,28 @@ mkFunBind :: Located RdrName -> [LMatch RdrName (LHsExpr RdrName)] -> HsBind Rdr
 -- Not infix, with place holders for coercion and free vars
 mkFunBind fn ms = FunBind { fun_id = fn, fun_infix = False
                           , fun_matches = mkMatchGroup ms
-			  , fun_co_fn = idHsWrapper
+                          , fun_co_fn = idHsWrapper
                           , bind_fvs = placeHolderNames
-			  , fun_tick = Nothing }
+                          , fun_tick = Nothing }
 
 mkTopFunBind :: Located Name -> [LMatch Name (LHsExpr Name)] -> HsBind Name
 -- In Name-land, with empty bind_fvs
 mkTopFunBind fn ms = FunBind { fun_id = fn, fun_infix = False
                              , fun_matches = mkMatchGroup ms
-			     , fun_co_fn = idHsWrapper
-                             , bind_fvs = emptyNameSet	-- NB: closed binding
-			     , fun_tick = Nothing }
+                             , fun_co_fn = idHsWrapper
+                             , bind_fvs = emptyNameSet  -- NB: closed binding
+                             , fun_tick = Nothing }
 
 mkHsVarBind :: SrcSpan -> RdrName -> LHsExpr RdrName -> LHsBind RdrName
 mkHsVarBind loc var rhs = mk_easy_FunBind loc var [] rhs
 
 mkVarBind :: id -> LHsExpr id -> LHsBind id
 mkVarBind var rhs = L (getLoc rhs) $
-		    VarBind { var_id = var, var_rhs = rhs, var_inline = False }
+                    VarBind { var_id = var, var_rhs = rhs, var_inline = False }
 
 ------------
 mk_easy_FunBind :: SrcSpan -> RdrName -> [LPat RdrName]
-		-> LHsExpr RdrName -> LHsBind RdrName
+                -> LHsExpr RdrName -> LHsBind RdrName
 mk_easy_FunBind loc fun pats expr
   = L loc $ mkFunBind (L loc fun) [mkMatch pats expr emptyLocalBinds]
 
@@ -453,17 +447,17 @@ mk_easy_FunBind loc fun pats expr
 mkMatch :: [LPat id] -> LHsExpr id -> HsLocalBinds id -> LMatch id (LHsExpr id)
 mkMatch pats expr binds
   = noLoc (Match (map paren pats) Nothing 
-		 (GRHSs (unguardedRHS expr) binds))
+                 (GRHSs (unguardedRHS expr) binds))
   where
     paren lp@(L l p) | hsPatNeedsParens p = L l (ParPat lp) 
-		     | otherwise          = lp
+                     | otherwise          = lp
 \end{code}
 
 
 %************************************************************************
-%*									*
-	Collecting binders
-%*									*
+%*                                                                      *
+        Collecting binders
+%*                                                                      *
 %************************************************************************
 
 Get all the binders in some HsBindGroups, IN THE ORDER OF APPEARANCE. eg.
@@ -505,10 +499,10 @@ collect_bind (FunBind { fun_id = L _ f }) acc = f : acc
 collect_bind (VarBind { var_id = f })     acc = f : acc
 collect_bind (AbsBinds { abs_exports = dbinds, abs_binds = _binds }) acc
   = map abe_poly dbinds ++ acc 
-	-- ++ foldr collect_bind acc binds
-	-- I don't think we want the binders from the nested binds
-	-- The only time we collect binders from a typechecked 
-	-- binding (hence see AbsBinds) is in zonking in TcHsSyn
+        -- ++ foldr collect_bind acc binds
+        -- I don't think we want the binders from the nested binds
+        -- The only time we collect binders from a typechecked 
+        -- binding (hence see AbsBinds) is in zonking in TcHsSyn
 
 collectHsBindsBinders :: LHsBindsLR idL idR -> [idL]
 collectHsBindsBinders binds = collect_binds binds []
@@ -524,7 +518,7 @@ collectMethodBinders :: LHsBindsLR RdrName idR -> [Located RdrName]
 collectMethodBinders binds = foldrBag get [] binds
   where
     get (L _ (FunBind { fun_id = f })) fs = f : fs
-    get _                              fs = fs	
+    get _                              fs = fs  
        -- Someone else complains about non-FunBinds
 
 ----------------- Statements --------------------------
@@ -561,27 +555,27 @@ collect_lpat :: LPat name -> [name] -> [name]
 collect_lpat (L _ pat) bndrs
   = go pat
   where
-    go (VarPat var) 	   	  = var : bndrs
-    go (WildPat _)	      	  = bndrs
-    go (LazyPat pat)     	  = collect_lpat pat bndrs
-    go (BangPat pat)     	  = collect_lpat pat bndrs
-    go (AsPat (L _ a) pat)     	  = a : collect_lpat pat bndrs
+    go (VarPat var)               = var : bndrs
+    go (WildPat _)                = bndrs
+    go (LazyPat pat)              = collect_lpat pat bndrs
+    go (BangPat pat)              = collect_lpat pat bndrs
+    go (AsPat (L _ a) pat)        = a : collect_lpat pat bndrs
     go (ViewPat _ pat _)          = collect_lpat pat bndrs
-    go (ParPat  pat)     	  = collect_lpat pat bndrs
-				  
+    go (ParPat  pat)              = collect_lpat pat bndrs
+                                  
     go (ListPat pats _ _)         = foldr collect_lpat bndrs pats
-    go (PArrPat pats _)    	  = foldr collect_lpat bndrs pats
-    go (TuplePat pats _ _)  	  = foldr collect_lpat bndrs pats
-				  
+    go (PArrPat pats _)           = foldr collect_lpat bndrs pats
+    go (TuplePat pats _ _)        = foldr collect_lpat bndrs pats
+                                  
     go (ConPatIn _ ps)            = foldr collect_lpat bndrs (hsConPatArgs ps)
     go (ConPatOut {pat_args=ps})  = foldr collect_lpat bndrs (hsConPatArgs ps)
-	-- See Note [Dictionary binders in ConPatOut]
-    go (LitPat _)	      	  = bndrs
-    go (NPat _ _ _)		  = bndrs
+        -- See Note [Dictionary binders in ConPatOut]
+    go (LitPat _)                 = bndrs
+    go (NPat _ _ _)               = bndrs
     go (NPlusKPat (L _ n) _ _ _)  = n : bndrs
- 				  
-    go (SigPatIn pat _)	 	  = collect_lpat pat bndrs
-    go (SigPatOut pat _)	  = collect_lpat pat bndrs
+                                  
+    go (SigPatIn pat _)           = collect_lpat pat bndrs
+    go (SigPatOut pat _)          = collect_lpat pat bndrs
     go (QuasiQuotePat _)          = bndrs
     go (CoPat _ pat _)            = go pat
 \end{code}
@@ -682,13 +676,13 @@ hsConDeclsBinders cons
   = snd (foldl do_one ([], []) cons)
   where
     do_one (flds_seen, acc) (L _ (ConDecl { con_name = lname, con_details = RecCon flds }))
-	= (map unLoc new_flds ++ flds_seen, lname : new_flds ++ acc)
-	where
-	  new_flds = filterOut (\f -> unLoc f `elem` flds_seen) 
-			       (map cd_fld_name flds)
+        = (map unLoc new_flds ++ flds_seen, lname : new_flds ++ acc)
+        where
+          new_flds = filterOut (\f -> unLoc f `elem` flds_seen) 
+                               (map cd_fld_name flds)
 
     do_one (flds_seen, acc) (L _ (ConDecl { con_name = lname }))
-	= (flds_seen, lname:acc)
+        = (flds_seen, lname:acc)
 \end{code}
 
 Note [Binders in family instances]
@@ -700,9 +694,9 @@ constructor is an *occurrence* not a binding site
 
 
 %************************************************************************
-%*									*
-	Collecting binders the user did not write
-%*									*
+%*                                                                      *
+        Collecting binders the user did not write
+%*                                                                      *
 %************************************************************************
 
 The job of this family of functions is to run through binding sites and find the set of all Names
